Skip to main content
POST
/
v2
/
datasets
/
{dataset_id}
/
examples
Add new examples to a dataset
curl --request POST \
  --url https://api.arize.com/v2/datasets/{dataset_id}/examples \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "examples": [
    {
      "question": "What is 2 + 2?",
      "answer": "4",
      "topic": "arithmetic"
    },
    {
      "question": "What is the square root of 16?",
      "answer": "4",
      "topic": "geometry"
    },
    {
      "question": "If 3x = 12, what is x?",
      "answer": "4",
      "topic": "algebra"
    }
  ]
}
'
{
  "id": "RGF0YXNldDoxOmFCY0Q=",
  "name": "Sample Dataset",
  "space_id": "U3BhY2U6MTphQmNE",
  "created_at": "2024-01-01T12:00:00Z",
  "updated_at": "2024-01-02T12:00:00Z",
  "dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
  "example_ids": [
    "550e8400-e29b-41d4-a716-446655440000",
    "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  ]
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

dataset_id
string
required

The unique identifier of the dataset A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Query Parameters

dataset_version_id
string

The unique identifier of the dataset version A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing dataset examples for insert (append) operation with auto-generated IDs

examples
object[]
required

Array of examples to append to the dataset version

Response

Examples successfully added to the dataset.

A dataset with the IDs of examples that were inserted or updated. Includes the version the examples were written to and the list of affected example IDs.

id
string
required

Unique identifier for the dataset

name
string
required

Name of the dataset

space_id
string
required

Unique identifier for the space this dataset belongs to

created_at
string<date-time>
required

Timestamp for when the dataset was created

updated_at
string<date-time>
required

Timestamp for the last update of the dataset

dataset_version_id
string
required

Unique identifier for the dataset version the examples were written to

example_ids
string[]
required

IDs of the examples that were inserted or updated